## NautilusLocationWidgetProvider NautilusLocationWidgetProvider — Interface to provide additional location widgets |

## Functions

GtkWidget * | nautilus_location_widget_provider_get_widget ()

## Types and Values

| NautilusLocationWidgetProvider
struct | NautilusLocationWidgetProviderIface

## Object Hierarchy

        GInterface
        ╰── NautilusLocationWidgetProvider

## Prerequisites

NautilusLocationWidgetProvider requires GObject.

## Includes

    #include <libnautilus-extension/nautilus-location-widget-provider.h>

## Description

NautilusLocationWidgetProvider allows extension to provide additional location widgets in the file manager views.

## Functions

### nautilus_location_widget_provider_get_widget ()

    GtkWidget *
    nautilus_location_widget_provider_get_widget
                                   (NautilusLocationWidgetProvider *provider,
                                    const char *uri,
                                    GtkWidget *window);

#### Parameters

provider | a NautilusLocationWidgetProvider |
uri | the URI of the location |
window | parent GtkWindow |

#### Returns

the location widget for `provider` at `uri` .

[transfer none]

## Types and Values

### NautilusLocationWidgetProvider

    typedef struct _NautilusLocationWidgetProvider NautilusLocationWidgetProvider;

### struct NautilusLocationWidgetProviderIface

    struct NautilusLocationWidgetProviderIface {
    	GTypeInterface g_iface;

    	GtkWidget * (*get_widget) (NautilusLocationWidgetProvider *provider,
    				   const char                     *uri,
    				   GtkWidget                      *window);
    };

Interface for extensions to provide additional location widgets.

#### Members

GTypeInterface `g_iface`; | The parent interface. |
`get_widget` () | Returns a GtkWidget. See `nautilus_location_widget_provider_get_widget()` for details. |